Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class ParagraphAlignment

    java.lang.Object
      org.apache.poi.xwpf.usermodel.ParagraphAlignment

    public class ParagraphAlignment

extends java.lang.Object

Specifies all types of alignment which are available to be applied to objects in a WordprocessingML document

Author:
  Yegor Kozlov

Field Summary
`static ParagraphAlignment` | `BOTH`
`static ParagraphAlignment` | `CENTER`
`static ParagraphAlignment` | `DISTRIBUTE`
`static ParagraphAlignment` | `HIGH_KASHIDA`
`static ParagraphAlignment` | `LEFT`
`static ParagraphAlignment` | `LOW_KASHIDA`
`static ParagraphAlignment` | `MEDIUM_KASHIDA`
`static ParagraphAlignment` | `NUM_TAB`
`static ParagraphAlignment` | `RIGHT`
`static ParagraphAlignment` | `THAI_DISTRIBUTE`

Method Summary
`int` | `getValue()`
`static ParagraphAlignment` | `valueOf(int type)`
`static ParagraphAlignment[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final ParagraphAlignment LEFT

### CENTER

    public static final ParagraphAlignment CENTER

### RIGHT

    public static final ParagraphAlignment RIGHT

### BOTH

    public static final ParagraphAlignment BOTH

### MEDIUM_KASHIDA

    public static final ParagraphAlignment MEDIUM_KASHIDA

### DISTRIBUTE

    public static final ParagraphAlignment DISTRIBUTE

### NUM_TAB

    public static final ParagraphAlignment NUM_TAB

### HIGH_KASHIDA

    public static final ParagraphAlignment HIGH_KASHIDA

### LOW_KASHIDA

    public static final ParagraphAlignment LOW_KASHIDA

### THAI_DISTRIBUTE

    public static final ParagraphAlignment THAI_DISTRIBUTE

Method Detail

### getValue

    public int getValue()

### valueOf

    public static ParagraphAlignment valueOf(int type)

### values

    public static ParagraphAlignment[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD